# Generative Playground

This Nix environment starts a tmux session with:

- ComfyUI
- Ollama
- Open-webui

It uses a shell script to launch these services on NixOS.

## Installation

```sh
mkdir -p /opt/playground
cp -v opt/playground/{Makefile,run-playground.sh, shell.nix} /opt/playground/
cd /opt/playground
make install
```

## Configuration

Sample `.env` file:

```sh
export LITELLM_MASTER_KEY= ...
export ANTHROPIC_API_KEY=...
export GOOGLE_API_KEY=...
```

## Update

```sh
cd /opt/playground
make update
```

## Running

```sh
cd /opt/playground
nix-shell
```

## Copypasta

```sh
rsync -tv opt/playground/{run-playground.sh,shell.nix,Makefile} roar:/opt/playground/
```
