{ lib, pkgs, ... }:
let
  overlays = [
    (self: super: {
      charlatan3 = super.callPackage /etc/nixos/overlays/clap/charlatan3.nix { };
    })
  ];
  plebpkgs = import <nixpkgs> { overlays = overlays; };
in
{
  nixpkgs.config = {
    allowUnfreePredicate = plebpkgs:
      builtins.elem (lib.getName plebpkgs) [
        "charlatan3"
      ];
  };
  home = {
    packages = with plebpkgs; [
      charlatan3
    ];

    # Troubleshooting: ldd ~/.clap/Charlatan3.so  
    # Status: Not working, Reaper doesn't load the plugin.
    file = {
      ".clap/Charlatan3.so" = {
        source = "${plebpkgs.charlatan3}/lib/charlatan3/Charlatan3.so";
      };
      ".local/share/charlatan3/presets" = {
        source = "${plebpkgs.charlatan3}/share/charlatan3/presets";
      };
    };

#   programs.git = {
#     enable = true;
#     userName = "Brian Lee";
#     userEmail = "git@satstack.dev";
#   };

    username = "blee";
    homeDirectory = "/home/blee";

    stateVersion = "24.11";
  };
}